# Class Options

code »

Configuration options for the FirefoxDriver.

## Constructor

Options ( )
Show:Public Protected Private

## Instance Methods

code »setBinary ( binary ) ⇒ `!Options`

Sets the binary to use. The binary may be specified as the path to a Firefox executable, or as a `Binary` object.

Parameters

binary: `(string|!Binary)`
  The binary to use.

Returns

A self reference.

code »setLoggingPreferences ( prefs ) ⇒ `!Options`

Sets the logging preferences for the new session.

Parameters

prefs: `webdriver.logging.Preferences`
  The logging preferences.

Returns

A self reference.

code »setProfile ( profile ) ⇒ `!Options`

Sets the profile to use. The profile may be specified as a `Profile` object or as the path to an existing Firefox profile to use as a template.

Parameters

profile: `(string|!Profile)`
  The profile to use.

Returns

A self reference.

code »setProxy ( proxy ) ⇒ `!Options`

Sets the proxy to use.

Parameters

proxy: `webdriver.ProxyConfig`
  The proxy configuration to use.

Returns

A self reference.

code »toCapabilities ( opt_remote ) ⇒ `!webdriver.Capabilities`

Converts these options to a `webdriver.Capabilities` instance.

Parameters

opt_remote

Returns

A new capabilities object.

## Instance Properties

code »binary_ : `Binary`
code »logPrefs_ : `webdriver.logging.Preferences`
code »profile_ : `Profile`
code »proxy_ : `webdriver.ProxyConfig`